Bug 440643 - Request to modify user interface messages to a more neutral version
Request to modify user interface messages to a more neutral version
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-04 07:40 EDT by Runa Bhattacharjee
Modified: 2013-03-03 21:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-06 08:10:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Runa Bhattacharjee 2008-04-04 07:40:19 EDT
Description of problem:

The following user interface messages contain the words "his home directory" to
signify  "....SELinux users' home directory":

Allow gadmin SELinux user accounts to execute files in his home directory or /tmp
Allow guest SELinux user accounts to execute files in his home directory or /tmp
Allow staff SELinux user accounts to execute files in his home directory or /tmp
Allow sysadm SELinux user accounts to execute files in his home directory or /tmp
Allow unconfined SELinux user accounts to execute files in his home directory or
/tmp
Allow user SELinux user accounts to execute files in his home directory or /tmp
Allow xguest SELinux user accounts to execute files in his home directory or /tmp

How reproducible:


Steps to Reproduce:
1. Visit http://translate.fedoraproject.org/module/policycoreutils
2. Open the file at: 
http://translate.fedoraproject.org/POT/policycoreutils.HEAD/policycoreutils.HEAD.pot

3. Look for the above mentioned messages.
  
Actual results:

Messages would contain the string "his home directory" to signify  "....SELinux
users' home directory"

Expected results:
"his home directory" modified to "his/her home directory" or "their home directory"
Comment 1 Paul W. Frields 2008-04-04 10:49:58 EDT
Coming from the Fedora Docs Project, here's a better neutral version:

"Allow a %s SELinux user account to execute files in home directory or /tmp"
Comment 2 Daniel Walsh 2008-04-06 08:10:53 EDT
Ok I made the change in the Rawhide package.

Fixed in policycoreutils-2.0.46-3.fc9
Comment 3 Adam Batkin 2008-04-07 08:52:41 EDT
How about "their" instead? his/her just sounds awkward

Note You need to log in before you can comment on or make changes to this bug.